Pular para o conteúdo

Get a list of identities (v2) - Legacy

Requisição

Get a list of identities that match the query parameters.

Note: Depending on the number of identities in your account, not all of them may be returned even if they match your query parameters.

Segurança
Bearer
Consulta
identityTypestring

The type of identities you want to retrieve

Enum ValueDescription
BENEFICIARY

Identity associated with the beneficiary.

ORIGINATOR

Identity associated with the party originating the payment.

Exemplo:identityType=BENEFICIARY
nickNamestring

The nickname for the identity provided at the time of identity creation

Exemplo:nickName=Successful Beneficiary
curl -i -X GET \
  'https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/identities?identityType=BENEFICIARY&nickName=Successful%20Beneficiary' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respostas

Requested identity info in JSON format

Corpoapplication/json
(application/json)
dataArray of objects

The list of the identities that match the query parameters

Resposta
{ "data": [ { … } ] }